import request from '@/utils/request'

// 查询朋友圈动态列表
export function listUserMoments(query) {
  return request({
    url: '/service/userMoments/list',
    method: 'get',
    params: query
  })
}

// 查询朋友圈动态详细
export function getUserMoments(id) {
  return request({
    url: '/service/userMoments/' + id,
    method: 'get'
  })
}

// 新增朋友圈动态
export function addUserMoments(data) {
  return request({
    url: '/service/userMoments',
    method: 'post',
    data: data
  })
}

// 修改朋友圈动态
export function updateUserMoments(data) {
  return request({
    url: '/service/userMoments',
    method: 'put',
    data: data
  })
}

// 删除朋友圈动态
export function delUserMoments(id) {
  return request({
    url: '/service/userMoments/' + id,
    method: 'delete'
  })
}
